Subject: bug#29700: Java packages need to retain references

From: [email-masked] (Ludovic Courtès)
Date: Fri, 15 Dec 2017 15:55:04 +0100

Ricardo Wurmus <[email-masked]> skribis:

> I installed the “axoloti-patcher” package today after “guix gc” and
> noticed that not all dependencies are available at runtime.  Upon
> running the “Axoloti” command I got this error:
>
>     Exception in thread "AWT-EventQueue-0" java.lang.UnsatisfiedLinkError: Can't load library: /gnu/store/nrx5nmwynmsl7aqxdpgwpsm8ff9b0h4d-libusb4java-0-1.396d642a5/lib/libusb4java.so
>
> The store item does not exist.
>
> The problem here is that jar archives are compressed and thus any
> references they contain are thus hidden from the scanner.
>
> I don’t know if it is feasible to disable compression for jar files, or
> if we should install a “.guix-dependencies” file that contains plain
> text references.

Disabling compression was the right choice because that also allows
grafts to work correctly.

Ludo’.